checkRequire("Lua_TransBaseItem");
Lua_ServantTransItem = class("Lua_ServantTransItem", Lua_TransBaseItem);
function Lua_ServantTransItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_ServantTransItem:setData(data)
	self:superCall("setData", data);

	local nameText;
	if data.illLvl > 0 then
		nameText = data.illName.."+"..data.illLvl;
	else
		nameText = data.illName;
	end
	self.name.text = nameText;

	if data.isUnlock == 1 then
		if data.isTransmogrified == true then
			self.tipsObj:SetActive(true);
			self.tipsIcon:setAltas("common_atlas_2", "ui_common_tishi");
			self.tipsTxt.text = LanUtil.getValue(110258); -- 已化形
		else
			self.tipsObj:SetActive(false);
		end
	elseif data.isUnlock == 0 then
		if data.isActivable == true then
			self.tipsObj:SetActive(true);
			self.tipsIcon:setAltas("common_atlas_2", "ui_common_tishi2");
			self.tipsTxt.text = LanUtil.getValue(110259); -- 可啟動
		else
			self.tipsObj:SetActive(false);
		end
	end

	local isShowRedDot = false;
	local qohNum = data.ownedFullItemNum * data.neededFragmentItemNum + data.ownedFragmentItemNum;
	local needNum = data.lvlUpitemNum;
	if data.isUnlock == 0 and data.isActivable or data.isUnlock == 1 and qohNum >= needNum and data.illLvl < data.maxLvl then
		isShowRedDot = true;
	end
	self:setRedDotState(isShowRedDot, Vector3(157, 39, 0), 9);
end